DS_DEALLOC_LIST_ENTRIES(3)

FUNCTION
ds_dealloc_list_entries - Recursively deallocate list entries.

SYNOPSIS
#include <karma_ds.h>

void ds_dealloc_list_entries

(CONST packet_desc *list_desc, list_header *list_head)

DESCRIPTION
This routine will deallocate all memory associated with the storage of data in a linked list. Any sub-arrays or linked lists are recursively deallocated. The routine is quite robust, deallocating in the correct order and cleanly bypassing missing sections in the hierarchy. The list header is NOT deallocated.

list_desc
    The descriptor for the list.

list_head
    The linked list header.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/